unit ulector_datos_newave;
interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls,
  ucaso_dat,
  uarchivos_dat;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  Form1: TForm1;



implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.Button1Click(Sender: TObject);
var
  f: textfile;
  caso: TRec_caso_dat;
  archivos: TArchivos_dat;
begin
  chdir( 'C:\rchaer\2012\UTE\Brasil2012\DatosEnviadosPorBrasil\CasoPDE2020' );
  assignfile( f, 'caso.dat');
  reset( f );
  caso:= TRec_caso_dat.Create_red(f);
  closefile( f );
  assignfile( f, caso.valor );
  reset( f );
  archivos:= TArchivos_dat.Create_Read( f );
  closefile( f );
  archivos.Free;
  caso.Free;
end;

end.

